Package org.apache.maven.scm

## Interface ScmVersion

All Known Implementing Classes:
  `AbstractScmVersion`, `ScmBranch`, `ScmRevision`, `ScmTag`

    public interface ScmVersion

Author:
  Emmanuel Venisse

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getName()`
`java.lang.String` `getType()`
`void` `setName​(java.lang.String name)`

### Method Detail

#### getType

    java.lang.String getType()

Returns:
  the Version type like branch

#### getName

    java.lang.String getName()

Returns:
  the Version name

#### setName

    void setName​(java.lang.String name)

Parameters:
  `name` - new Version name could be null